Closing a conversation window with unread messages shouldn't warn if the "hidden conversations" feature is enabled

RESOLVED FIXED in 1.1

Status

Instantbird
Conversation
RESOLVED FIXED
5 years ago
5 years ago

People

(Reporter: Mic, Assigned: florian)

Tracking

Details

(Whiteboard: [1.1-wanted])

Attachments

(1 attachment)

(Reporter)

Description

5 years ago
*** Original post on bio 990 at 2011-08-25 14:56:00 UTC ***

Closing a window with several tabs and unread messages warns about this action under some circumstances. I only saw it with unread messages from NickServ or ChanServ and not with unread messages on a channel if I'm not mistaken.
When "hidden conversations" (we need a better name for this;) are enabled this is not necessary since we won't lose conversation content.
(Reporter)

Updated

5 years ago
Blocks: 954412
*** Original post on bio 990 at 2011-09-02 09:13:47 UTC ***

I think we should probably replace that message (when Hidden Conversations are enabled) with a message explaining that these conversations will still be available from the Contacts window. That message should have a checkbox |[ ] Show this info again next time" so that most users see that message only once.
Summary: Closing a conversation window warns about unread messages even though "hidden conversations" are active → Closing a conversation window with unread messages should give a hint about the "hidden conversations" feature
Whiteboard: [1.1-wanted]
*** Original post on bio 990 at 2011-09-26 22:24:02 UTC ***

The more I think about this, the more I think we should just remove the code for that warning (and the associated preference) if we turn the "hidden conversations" feature on by default by removing its pref.

If we want to keep a hidden pref to disable the "hidden conversations" feature, then this warning should only appear when "hidden conversations" is disabled + we should hide the pref related to the warning in the pref window when hidden conversations are on.
Created attachment 8352590 [details] [diff] [review]
Patch

*** Original post on bio 990 as attmnt 847 at 2011-09-27 10:14:00 UTC ***

For this patch I took the conservative approach of keeping the hidden pref and making it fully work.
Also, ironically I noticed while testing that the warning I'm disabling didn't work correctly for chat rooms, because of a logic error in the way the unread attribute was set by the conversation binding. Now that this warning won't be shown by default, it's fixed...
Assignee: nobody → florian
Status: NEW → ASSIGNED
Summary: Closing a conversation window with unread messages should give a hint about the "hidden conversations" feature → Closing a conversation window with unread messages shouldn't warn if the "hidden conversations" feature is enabled

Comment 4

5 years ago
*** Original post on bio 990 at 2011-09-27 11:23:05 UTC ***

"Morally" speaking, if the user wants an unread messages warning, it should appear whenever unread messages may be discarded or lost.

So, if hidden conv. are enabled, when IB is quit completely.
If hidden conv. are disabled, when a tab with unread messages is closed.
*** Original post on bio 990 at 2011-09-27 13:16:42 UTC ***

(In reply to comment #4)
> So, if hidden conv. are enabled, when IB is quit completely.
> If hidden conv. are disabled, when a tab with unread messages is closed.

From version 0.2 to 1.0 we have had 2 different warnings:
- one quitting the application, if there were unread messages in some conversations.
- one when closing several tabs at once (so either closing a conversation window or using the "Close other tabs" tab context menu item), with at least one containing unread messages. This warning wasn't shown when closing only a single tab (even if it had unread messages) or while quitting (as the quit warning was going to be shown anyway).

It's only the second warning (the one when closing several tabs) that this patch disables.


My idea in comment 2 was to give a hint about how the "hidden conversations" feature work. So rather than a warning, it would have been an informative message, shown only once, saying "active conversations will be available from the top of the contacts window, blahblah". I don't think we really need that.

Comment 6

5 years ago
*** Original post on bio 990 at 2011-09-27 19:16:53 UTC ***

Where is this second preference? I can only find "Warn me when closing multiple tabs", and with that disabled, currently there is no warning on quitting IB if some unread messages exist.

Comment 7

5 years ago
*** Original post on bio 990 at 2011-09-27 19:19:59 UTC ***

s/second/first
*** Original post on bio 990 at 2011-09-27 19:19:59 UTC ***

(In reply to comment #6)
> Where is this second preference?
"messenger.warnOnQuit" in about:config.
There's no UI to reset it once you have touched the checkbox in that warning to no longer see it.

Comment 9

5 years ago
*** Original post on bio 990 at 2011-09-27 19:21:12 UTC ***

I have it set to true (i.e. unchanged from default) and there is no warning.
Comment on attachment 8352590 [details] [diff] [review]
Patch

*** Original change on bio 990 attmnt 847 at 2011-09-27 19:53:25 UTC ***

This looks good! Thanks.
Attachment #8352590 - Flags: review+
*** Original post on bio 990 at 2011-09-27 22:43:02 UTC ***

https://hg.instantbird.org/instantbird/rev/b0fb5e01dcc6
Status: ASSIGNED → RESOLVED
Last Resolved: 5 years ago
Resolution: --- → FIXED
Target Milestone: --- → 1.1
You need to log in before you can comment on or make changes to this bug.